<Page x:Class="OrderingSystem_v2.LoginPage"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:OrderingSystem_v2"
      mc:Ignorable="d" 
      d:DesignHeight="600" d:DesignWidth="700"
      Title="LoginPage">

  <TabControl>
    <TabItem x:Name="inTab" Header="Sign-in">
      <Grid Margin="10">
        <Grid.RowDefinitions>
          <RowDefinition Height="4*"/>
          <RowDefinition/>
          <RowDefinition/>
          <RowDefinition/>
          <RowDefinition Height="1.1*"/>
          <RowDefinition Height="4*"/>
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
          <ColumnDefinition/>
          <ColumnDefinition/>
          <ColumnDefinition/>
        </Grid.ColumnDefinitions>

        <Label Grid.Column="1" Grid.Row="1" Content="Sing-In" HorizontalAlignment="Center" VerticalAlignment="Center" FontSize="18" FontWeight="Bold"/>

        <Label Grid.Column="0" Grid.Row="2" Content="Username" HorizontalAlignment="Right" VerticalAlignment="Center"/>
        <Label Grid.Column="0" Grid.Row="3" Content="Password" HorizontalAlignment="Right" VerticalAlignment="Center"/>

        <TextBox Grid.Column="1" Grid.Row="2" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Margin="5" x:Name="inName"/>
        <PasswordBox Grid.Column="1" Grid.Row="3" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Margin="5" x:Name="inPass"/>

        <Button Grid.Column="1" Grid.Row="4" Content="Sing-in"  x:Name="loginBtn" Height="40" Width="100" VerticalAlignment="Bottom" Click="loginBtn_Click"/>

      </Grid>
    </TabItem>

    <TabItem x:Name="upTab" Header="Sign-up">
      <Grid Margin="10">
        <Grid.RowDefinitions>
          <RowDefinition Height="2*"/>
          <RowDefinition/>
          <RowDefinition/>
          <RowDefinition/>
          <RowDefinition/>
          <RowDefinition/>
          <RowDefinition/>
          <RowDefinition/>
          <RowDefinition/>
          <RowDefinition/>
          <RowDefinition Height="1*"/>
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
          <ColumnDefinition/>
          <ColumnDefinition/>
          <ColumnDefinition/>
        </Grid.ColumnDefinitions>

        <Label Grid.Column="1" Grid.Row="1" Content="Sing-Up" HorizontalAlignment="Center" VerticalAlignment="Center" FontSize="18" FontWeight="Bold"/>

        <Label Grid.Column="0" Grid.Row="2" Content="Firstname" HorizontalAlignment="Right" VerticalAlignment="Center"/>
        <Label Grid.Column="0" Grid.Row="3" Content="Surname" HorizontalAlignment="Right" VerticalAlignment="Center"/>
        <Label Grid.Column="0" Grid.Row="4" Content="Birthdate*" HorizontalAlignment="Right" VerticalAlignment="Center"/>
        <Label Grid.Column="0" Grid.Row="5" Content="Username*" HorizontalAlignment="Right" VerticalAlignment="Center"/>
        <Label Grid.Column="0" Grid.Row="6" Content="Password*" HorizontalAlignment="Right" VerticalAlignment="Center"/>
        <Label Grid.Column="0" Grid.Row="7" Content="Repeat Password*" HorizontalAlignment="Right" VerticalAlignment="Center"/>

        <TextBox Grid.Column="1" Grid.Row="2" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Margin="5" x:Name="name"/>
        <TextBox Grid.Column="1" Grid.Row="3" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Margin="5" x:Name="surname"/>
        <DatePicker Grid.Column="1" Grid.Row="4" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Margin="5" x:Name="birth"/>
        <TextBox Grid.Column="1" Grid.Row="5" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Margin="5" x:Name="upName"/>
        <PasswordBox Grid.Column="1" Grid.Row="6" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Margin="5" x:Name="upPass"/>
        <PasswordBox Grid.Column="1" Grid.Row="7" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" Margin="5" x:Name="repPass"/>

        <Button Grid.Column="1" Grid.Row="8" Content="Sing-up" Margin="5" x:Name="singupBtn" Click="singupBtn_Click" Height="40" Width="100" Grid.RowSpan="2"/>

      </Grid>
    </TabItem>
  </TabControl>
</Page>
